## hackrf 2022.09.1

=== host/libhackrf/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013 Benjamin Vernoux
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(libhackrf C)
set(MAJOR_VERSION 0)
set(MINOR_VERSION 7)
set(PACKAGE libhackrf)
set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
set(VERSION ${VERSION_STRING})
add_definitions(-DLIBRARY_VERSION="${VERSION_STRING}")
include(${PROJECT_SOURCE_DIR}/../cmake/set_release.cmake)
add_definitions(-DLIBRARY_RELEASE="${RELEASE}")
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)

if(MSVC)
	set(THREADS_USE_PTHREADS_WIN32 true)
else()
	add_definitions(-Wall)
	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")

	INCLUDE(TestBigEndian)
	TEST_BIG_ENDIAN(BIGENDIAN)
	if(${BIGENDIAN})
		 add_definitions(-DHACKRF_BIG_ENDIAN)
	endif(${BIGENDIAN})
endif()
find_package(USB1 REQUIRED)
find_package(Threads REQUIRED)

include_directories(${LIBUSB_INCLUDE_DIR} ${THREADS_PTHREADS_INCLUDE_DIR})

add_subdirectory(src)

########################################################################
# Create Pkg Config File
########################################################################
FOREACH(inc ${LIBUSB_INCLUDE_DIR})
    LIST(APPEND HACKRF_PC_CFLAGS "-I${inc}")
ENDFOREACH(inc)

# use space-separation format for the pc file
STRING(REPLACE ";" " " HACKRF_PC_CFLAGS "${HACKRF_PC_CFLAGS}")
STRING(REPLACE ";" " " HACKRF_PC_LIBS "${HACKRF_PC_LIBS}")

# unset these vars to avoid hard-coded paths to cross environment
IF(CMAKE_CROSSCOMPILING)
    UNSET(HACKRF_PC_CFLAGS)
    UNSET(HACKRF_PC_LIBS)
ENDIF(CMAKE_CROSSCOMPILING)

set(prefix ${CMAKE_INSTALL_PREFIX})
set(exec_prefix \${prefix})
set(libdir \${exec_prefix}/lib${LIB_SUFFIX})
set(includedir \${prefix}/include)
set(libpkgdata lib${LIB_SUFFIX})

if(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")
    set(libpkgdata "libdata")
endif(CMAKE_SYSTEM_NAME MATCHES "FreeBSD")

CONFIGURE_FILE(
    ${CMAKE_CURRENT_SOURCE_DIR}/libhackrf.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/libhackrf.pc
@ONLY)

INSTALL(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/libhackrf.pc
    DESTINATION ${libpkgdata}/pkgconfig
)

########################################################################
# Create Pkg Config File
########################################################################

if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    SET(SYSTEM_IS_LINUX TRUE)
    SET(UDEV_OPTION_DEFAULT ON)
else()
    SET(SYSTEM_IS_LINUX FALSE)
    SET(UDEV_OPTION_DEFAULT OFF)
endif()

option(INSTALL_UDEV_RULES
    "Install udev rules for the HackRF"
    ${UDEV_OPTION_DEFAULT}
)

set(UDEV_RULES_PATH
    "/etc/udev/rules.d"
    CACHE STRING
    "Target directory for udev rule installation. Ensure you have permissions to write to this directory."
)

if(SYSTEM_IS_LINUX)
    if(INSTALL_UDEV_RULES)
        if(NOT DEFINED UDEV_RULES_GROUP)
            foreach(group usb plugdev)
                execute_process(COMMAND "getent" group "${group}"
                                RESULT_VARIABLE _GETENT_RESULT
                                OUTPUT_QUIET
                                ERROR_QUIET)
                if(NOT _GETENT_RESULT)
                    message(STATUS "Setting udev rule group to - ${group}")
                    set(UDEV_RULES_GROUP ${group})
                    break()
                endif(NOT _GETENT_RESULT)
            endforeach(group)
        endif(NOT DEFINED UDEV_RULES_GROUP)
        if(DEFINED UDEV_RULES_GROUP)
            set(HACKRF_GROUP "${UDEV_RULES_GROUP}"
                CACHE STRING "Group to associate HackRF devices with in udev rules")
            configure_file(${CMAKE_CURRENT_SOURCE_DIR}/53-hackrf.rules.in
                        ${CMAKE_CURRENT_BINARY_DIR}/53-hackrf.rules
                        @ONLY
                        )
            message(STATUS  "HackRF udev rules will be installed to '${UDEV_RULES_PATH}' upon running 'make install'")
            install(FILES ${CMAKE_CURRENT_BINARY_DIR}/53-hackrf.rules
                    DESTINATION ${UDEV_RULES_PATH}
                    COMPONENT "udev_rules")
        else(UDEV_RULES_GROUP)
            message(STATUS "HackRF udev rules will not be installed because no suitable group was found")
            message(STATUS "A group can be specified with -DUDEV_RULES_GROUP=<group>")
        endif(DEFINED UDEV_RULES_GROUP)
    else(INSTALL_UDEV_RULES)
        message(STATUS
                "HackRF udev rules will not be installed because INSTALL_UDEV_RULES=OFF"
               )
    endif(INSTALL_UDEV_RULES)
else(SYSTEM_IS_LINUX)
    if(INSTALL_UDEV_RULES)
        message(STATUS "udev rules not supported on this platform. Hide this message via -DINSTALL_UDEV_RULES=Off")
    endif(INSTALL_UDEV_RULES)
endif(SYSTEM_IS_LINUX)

########################################################################
# Create uninstall target
########################################################################
if(NOT HackRF_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== lib/lm3s/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_lm3s

PREFIX		?= arm-none-eabi

CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g \
		  -Wall -Wextra -Wimplicit-function-declaration \
		  -Wredundant-decls -Wmissing-prototypes -Wstrict-prototypes \
		  -Wundef -Wshadow \
		  -I../../include -fno-common \
		  -mcpu=cortex-m3 -mthumb $(FP_FLAGS) -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DLM3S
# ARFLAGS	= rcsv
ARFLAGS		= rcs
OBJS		= gpio.o vector.o assert.o

VPATH += ../cm3

include ../Makefile.include

=== lib/lm4f/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
## Copyright (C) 2013 Alexandru Gagniuc <mr.nuke.me@gmail.com>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_lm4f

FP_FLAGS	?= -mfloat-abi=hard -mfpu=fpv4-sp-d16
PREFIX		?= arm-none-eabi

CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g \
		  -Wall -Wextra -Wimplicit-function-declaration \
		  -Wredundant-decls -Wmissing-prototypes -Wstrict-prototypes \
		  -Wundef -Wshadow \
		  -I../../include -fno-common \
		  -mcpu=cortex-m4 -mthumb $(FP_FLAGS) -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DLM4F
# ARFLAGS	= rcsv
ARFLAGS		= rcs
OBJS		= gpio.o vector.o assert.o systemcontrol.o rcc.o uart.o \
		  usb_lm4f.o usb.o usb_control.o usb_standard.o

VPATH += ../usb:../cm3

include ../Makefile.include

=== lib/sam/3n/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_sam3n

PREFIX		?= arm-none-eabi

CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g -Wall -Wextra -I../../../include -fno-common \
		  -mcpu=cortex-m3 -mthumb $(FP_FLAGS) -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DSAM3N
# ARFLAGS	= rcsv
ARFLAGS		= rcs
OBJS		= gpio.o pmc.o usart.o

VPATH += ../../cm3:../common

include ../../Makefile.include

=== lib/sam/3x/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_sam3x

PREFIX		?= arm-none-eabi

CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g -Wall -Wextra -I../../../include -fno-common \
		  -mcpu=cortex-m3 -mthumb $(FP_FLAGS) -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DSAM3X
# ARFLAGS	= rcsv
ARFLAGS		= rcs
OBJS		= gpio.o pmc.o usart.o

VPATH += ../../usb:../../cm3:../common

include ../../Makefile.include

=== lib/stm32/f3/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_stm32f3

FP_FLAGS	?= -mfloat-abi=hard -mfpu=fpv4-sp-d16
PREFIX	        ?= arm-none-eabi

CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g \
		  -Wall -Wextra -Wimplicit-function-declaration \
		  -Wredundant-decls -Wmissing-prototypes -Wstrict-prototypes \
		  -Wundef -Wshadow \
		  -I../../../include -fno-common \
		  -mcpu=cortex-m4 -mthumb $(FP_FLAGS) -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DSTM32F3

ARFLAGS		= rcs

OBJS		= rcc.o gpio.o adc.o i2c.o spi.o usart.o dma.o

OBJS            += gpio_common_all.o gpio_common_f0234.o \
		   dac_common_all.o usart_common_all.o crc_common_all.o\
		   iwdg_common_all.o spi_common_all.o dma_common_l1f013.o\
		   timer_common_all.o timer_common_f234.o flash_common_f234.o \
		   flash.o exti_common_all.o

OBJS		+= usb.o usb_control.o usb_standard.o usb_f103.o

VPATH += ../../usb:../:../../cm3:../common

include ../../Makefile.include

=== debian/changelog ===
hackrf (2022.09.1-3) unstable; urgency=medium

  * Fix arch-all build logic (Closes: #1023737)

 -- A. Maitland Bottoms <bottoms@debian.org>  Wed, 09 Nov 2022 17:18:20 -0500

hackrf (2022.09.1-2) unstable; urgency=medium

  * Upload to unstable to allow for transitions

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 08 Nov 2022 17:52:00 -0500

hackrf (2022.09.1-1) experimental; urgency=medium

  * New upstream release. (Closes: #1005712)
  * Upload to experimental for new hackrf-doc and hackrf-firmware packages
  * remove obsolete man pages for features now in hackrf_debug
  * update watch file to new project repository

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 06 Nov 2022 15:09:15 -0500

=== debian/control ===
Source: hackrf
Section: libs
Priority: optional
Maintainer: A. Maitland Bottoms <bottoms@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libfftw3-dev,
               libusb-1.0-0-dev [linux-any],
               libusb-dev [hurd-i386],
               libusb2-dev [kfreebsd-any],
               pkg-config
Build-Depends-Indep: dfu-util,
		     latexmk,
                     python3-sphinx,
                     python3-sphinx-rtd-theme,
		     python3-yaml,
                     tex-gyre,
                     texlive-latex-extra,
		     gcc-arm-none-eabi,
                     libnewlib-arm-none-eabi,
                     libstdc++-arm-none-eabi-newlib
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: http://greatscottgadgets.com/hackrf/
Vcs-Browser: https://salsa.debian.org/bottoms/pkg-hackrf
Vcs-Git: https://salsa.debian.org/bottoms/pkg-hackrf.git

Package: hackrf-doc
Section: doc
Architecture: all
Depends: fonts-font-awesome,
         fonts-lato,
         fonts-roboto-slab,
         libjs-jquery,
         libjs-underscore,
         sphinx,
         ${misc:Depends}
Description: Software defined radio peripheral - documentation
 HackRF is an open source Software Defined Radio that can receive
 and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains generated documentation.

Package: libhackrf-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libhackrf0 (= ${binary:Version}), ${misc:Depends}
Description: Software defined radio peripheral - development
 HackRF is an open source Software Defined Radio that can receive
 and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains development files.

Package: libhackrf0
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Software defined radio peripheral - runtime library
 HackRF is an open source Software Defined Radio that can receive
 and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains the shared library.

Package: hackrf
Section: comm
Architecture: any
Depends: libhackrf0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Software defined radio peripheral - utilities
 HackRF is an open source Software Defined Radio that can receive
 and transmit between 30 MHz and 6 GHz. HackRF has a 20 MHz bandwidth.
 It is a High Speed USB device powered by the USB bus.
 .
 This package contains a set of command line utilities:
  * hackrf_clock: HackRF clock configuration utility
  * hackrf_cpldjtag: program CLPD
  * hackrf_debug: chip register read/write/config tool
  * hackrf_info: probe device and show configuration
  * hackrf_operacake: control of operacake board via hackrf
  * hackrf_spiflash: read and write flash data from file.
  * hackrf_sweep: control frequency sweep of hackrf
  * hackrf_transfer: file based transmit and receive sdr

Package: hackrf-firmware
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: hackrf
Suggests: dfu-util
Description: Firmware for HackRF devices
 The HackRF hardware needs some firmware to run. The firmware is built with
 arm-none-eabi-gcc. This package contains a number of firmware images that
 may be programmed into the HackRF hardware using the 'hackrf_spiflash -w'
 command or dfu-util.
 .
 The following hardware is supported:
  * hackrf_jawbreaker
  * hackrf_one
  * hackrf_rad1o
 .
 The firmware images are installed in /usr/share/hackrf/firmware/

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=host --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
	- cp -p build/libhackrf/53-hackrf.rules debian/libhackrf0.udev

override_dh_auto_build-indep: build-arch
	cd docs && make html
	cd docs && make latex
	cd docs && make latexpdf
	cd docs/build/html/_static && rm jquery.js
	cd docs/build/html/_static && ln -s /usr/share/javascript/jquery/jquery.js jquery.js
	cd docs/build/html/_static && rm underscore.js
	cd docs/build/html/_static && ln -s /usr/share/javascript/underscore/underscore.js underscore.js
	cd docs/build/html/_static && rm doctools.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/doctools.js doctools.js
	cd docs/build/html/_static && rm language_data.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/language_data.js_t language_data.js
	cd docs/build/html/_static && rm searchtools.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/searchtools.js searchtools.js
	rm -rf docs/build/html/_static/fonts
	cp -p -r libopencm3/* firmware/libopencm3/
	cd firmware && cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=HACKRF_ONE -B build_hackrf
	cd firmware && cmake --build build_hackrf
	cd firmware && cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=JAWBREAKER -B build_jawbreaker
	cd firmware && cmake --build build_jawbreaker
	cd firmware && cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=RAD1O -B build_rad1o
	cd firmware && cmake --build build_rad1o
	cp -p firmware/build_jawbreaker/hackrf_usb/hackrf_usb.bin firmware/hackrf_jawbreaker_usb.bin
	cp -p firmware/build_hackrf/hackrf_usb/hackrf_usb.bin firmware/hackrf_one_usb.bin
	cp -p firmware/build_rad1o/hackrf_usb/hackrf_usb.bin firmware/hackrf_rad1o_usb.bin
	chmod -x firmware/hackrf_jawbreaker_usb.bin
	chmod -x firmware/hackrf_one_usb.bin
	chmod -x firmware/hackrf_rad1o_usb.bin
	cp -p firmware/build_jawbreaker/hackrf_usb/hackrf_usb.dfu firmware/hackrf_jawbreaker_usb.dfu
	cp -p firmware/build_hackrf/hackrf_usb/hackrf_usb.dfu firmware/hackrf_one_usb.dfu
	cp -p firmware/build_rad1o/hackrf_usb/hackrf_usb.dfu firmware/hackrf_rad1o_usb.dfu

override_dh_installdocs-indep:
	dh_installdocs --indep

## hackrf 2023.01.1

=== doc/Makefile ===
# Makefile to build libopencm3 documentation

# 14 September 2012
# (C) Ken Sarkies <ksarkies@internode.on.net>

doc: html latex

html: cm3 usb stm32l1 stm32f0 stm32f1 stm32f2 stm32f3 stm32f4 efm32g efm32gg efm32lg efm32tg lm3s lm4f lpc13 lpc17 lpc43 top

cm3:
	cd cm3/; doxygen

usb:
	cd usb/; doxygen

lm3s:
	cd lm3s/; doxygen

lm4f:
	cd lm4f/; doxygen

efm32g:
	cd efm32g/; doxygen

efm32gg:
	cd efm32gg/; doxygen

efm32lg:
	cd efm32lg/; doxygen

efm32tg:
	cd efm32tg/; doxygen

lpc13:
	cd lpc13xx/; doxygen

lpc17:
	cd lpc17xx/; doxygen

lpc43:
	cd lpc43xx/; doxygen

stm32f0:
	cd stm32f0/; doxygen

stm32f1:
	cd stm32f1/; doxygen

stm32f2:
	cd stm32f2/; doxygen

stm32f3:
	cd stm32f3/; doxygen

stm32f4:
	cd stm32f4/; doxygen

stm32l1:
	cd stm32l1/; doxygen

top:
	doxygen

latex: stm32l1.pdf stm32f0.pdf stm32f1.pdf stm32f2.pdf stm32f3.pdf stm32f4.pdf lm3s.pdf lm4f.pdf lpc13.pdf lpc17.pdf lpc43.pdf efm32g.pdf efm32gg.pdf efm32lg.pdf efm32tg.pdf

stm32l1.pdf:
	cd stm32l1/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../stm32l1.pdf

stm32f0.pdf:
	cd stm32f0/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../stm32f0.pdf

stm32f1.pdf:
	cd stm32f1/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../stm32f1.pdf

stm32f2.pdf:
	cd stm32f2/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../stm32f2.pdf

stm32f3.pdf:
	cd stm32f3/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../stm32f3.pdf

stm32f4.pdf:
	cd stm32f4/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../stm32f4.pdf

lm3s.pdf:
	cd lm3s/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../lm3s.pdf

lm4f.pdf:
	cd lm4f/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../lm4f.pdf

lpc13.pdf:
	cd lpc13xx/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../lpc13.pdf

lpc17.pdf:
	cd lpc17xx/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../lpc17.pdf

lpc43.pdf:
	cd lpc43xx/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../lpc43.pdf

efm32g.pdf:
	cd efm32g/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../efm32g.pdf

efm32gg.pdf:
	cd efm32gg/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../efm32gg.pdf

efm32lg.pdf:
	cd efm32lg/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../efm32lg.pdf

efm32tg.pdf:
	cd efm32tg/; doxygen Doxyfile_latex; cd latex/; $(MAKE); cp refman.pdf ../../efm32tg.pdf

clean:
	@rm -rf html/ */html/ */latex/ *.pdf */*.tag

.PHONY: doc html cm3 usb lm3s lm4f lpc13 lpc17 lpc43 stm32l1 stm32f0 stm32f1 stm32f2 stm32f3 stm32f4 efm32g efm32gg efm32lg efm32tg top latex

=== host/CMakeLists.txt ===
#top dir cmake project for libhackrf + tools

cmake_minimum_required(VERSION 2.8)
project (HackRF C)

set(CMAKE_C_FLAGS "$ENV{CFLAGS}" CACHE STRING "C Flags")

add_subdirectory(libhackrf)
add_subdirectory(hackrf-tools)

########################################################################
# Create uninstall target
########################################################################

configure_file(
    ${PROJECT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)


add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)

=== host/hackrf-tools/CMakeLists.txt ===
# Copyright 2012 Jared Boone
# Copyright 2013 Benjamin Vernoux
#
# This file is part of HackRF.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 51 Franklin Street,
# Boston, MA 02110-1301, USA.
#

# Based heavily upon the libftdi cmake setup.

cmake_minimum_required(VERSION 2.8)
project(hackrf-tools C)
set(PACKAGE hackrf-tools)
include(${PROJECT_SOURCE_DIR}/../cmake/set_release.cmake)
add_definitions(-DTOOL_RELEASE="${RELEASE}")
set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/../cmake/modules)

if(MSVC)
include_directories(getopt)
add_definitions(/D _CRT_SECURE_NO_WARNINGS)
else()
add_definitions(-Wall)
set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu90")
endif()

if(NOT libhackrf_SOURCE_DIR)
find_package(LIBHACKRF REQUIRED)
include_directories(${LIBHACKRF_INCLUDE_DIR})
else()
include_directories(${libhackrf_SOURCE_DIR}/src)
endif()

add_subdirectory(src)

########################################################################
# Create uninstall target
########################################################################

if(NOT HackRF_SOURCE_DIR)
configure_file(
    ${PROJECT_SOURCE_DIR}/../cmake/cmake_uninstall.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
@ONLY)

add_custom_target(uninstall
    ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake
)
endif()

=== host/libhackrf/CMakeLists.txt ===
--- 
+++ 
@@ -24,7 +24,7 @@
 cmake_minimum_required(VERSION 2.8)
 project(libhackrf C)
 set(MAJOR_VERSION 0)
-set(MINOR_VERSION 7)
+set(MINOR_VERSION 8)
 set(PACKAGE libhackrf)
 set(VERSION_STRING ${MAJOR_VERSION}.${MINOR_VERSION})
 set(VERSION ${VERSION_STRING})

=== lib/lpc13xx/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_lpc13xx

PREFIX		?= arm-none-eabi

CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g \
		  -Wall -Wextra -Wimplicit-function-declaration \
		  -Wredundant-decls -Wmissing-prototypes -Wstrict-prototypes \
		  -Wundef -Wshadow \
		  -I../../include -fno-common \
		  -mcpu=cortex-m3 -mthumb $(FP_FLAGS) -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DLPC13XX
# ARFLAGS	= rcsv
ARFLAGS		= rcs
OBJS		= gpio.o

VPATH += ../cm3

include ../Makefile.include

=== firmware/cpld/sgpio_if/Makefile ===
# xst -intstyle ise -ifn top.xst -ofn top.syr
# ngdbuild -intstyle ise -dd _ngo -uc top.ucf -p xc2c64a-VQ100-7 top.ngc top.ngd
# cpldfit -intstyle ise -p xc2c64a-7-VQ100 -ofmt vhdl -optimize density -loc on -slew slow -init low -inputs 32 -pterms 28 -unused pullup -terminate float -iostd LVCMOS33 top.ngd
# tsim -intstyle ise top top.nga
# taengine -intstyle ise -f top -l top.tim -e {taengine.err}
# hprep6 -s IEEE1149 -i top
# vhdtdtfi -prj sgpio_if -o top.vhi -module top -template /opt/Xilinx/14.7/ISE_DS/ISE/data/vhdlinst.tft -deleteonerror -lib work top.vhd

DESIGN=top

DEVICE=xc2c64a
DEVICE_SPEED=7
DEVICE_PACKAGE=VQ100

OUTFILES_XST=$(DESIGN).ngc $(DESIGN).syr $(DESIGN).ngr $(DESIGN)_xst.xrpt $(DESIGN).lso _xmsgs/xst.xmsgs
OUTFILES_NGDBUILD=$(DESIGN).ngd $(DESIGN).bld $(DESIGN)_ngdbuild.xrpt _xmsgs/ngdbuild.xmsgs _ngo/netlist.lst xlnx_auto_0_xdb/cst.xbcd
OUTFILES_CPLDFIT=$(DESIGN).vm6 $(DESIGN).tspec t6.phd t6.dat t55.phd t55.dat t1.phd t1.dat $(DESIGN).log $(DESIGN).chk $(DESIGN).rpt $(DESIGN).xml $(DESIGN)_build.xml $(DESIGN).pad $(DESIGN)_pad.csv $(DESIGN).pnx $(DESIGN).mfd $(DESIGN).cxt $(DESIGN).gyd _xmsgs/cpldfit.xmsgs
OUTFILES_HPREP6=$(DESIGN).jed tmperr.err _xmsgs/hprep6.xmsgs
OUTFILES_IMPACT_SVF=default.svf _impactbatch.log
OUTFILES_IMPACT_XSVF=default.xsvf _impactbatch.log

all: default.svf default.xsvf

$(DESIGN).ngc: $(DESIGN).xst $(DESIGN).prj
	mkdir -p xst/projnav.tmp
	xst -intstyle ise -ifn $(DESIGN).xst -ofn $(DESIGN).syr

$(DESIGN).ngd: $(DESIGN).ngc $(DESIGN).ucf
	ngdbuild -intstyle ise -dd _ngo -uc $(DESIGN).ucf -p $(DEVICE)-$(DEVICE_PACKAGE)-$(DEVICE_SPEED) $(DESIGN).ngc $(DESIGN).ngd

$(DESIGN).vm6: $(DESIGN).ngd
	cpldfit -intstyle ise -p $(DEVICE)-$(DEVICE_SPEED)-$(DEVICE_PACKAGE) -ofmt vhdl -optimize speed -loc on -slew slow -init low -inputs 32 -pterms 36 -unused pullup -terminate float -iostd LVCMOS33 $(DESIGN).ngd

$(DESIGN).jed: $(DESIGN).vm6
	hprep6 -s IEEE1149 -i $(DESIGN).vm6

default.svf: $(DESIGN).jed batch_svf
	impact -batch batch_svf

default.xsvf: $(DESIGN).jed batch_xsvf
	impact -batch batch_xsvf

.PHONY: clean

clean:
	rm -f $(OUTFILES_XST) $(OUTFILES_NGDBUILD) $(OUTFILES_CPLDFIT) $(OUTFILES_HPREP6) $(OUTFILES_IMPACT_SVF) $(OUTFILES_IMPACT_XSVF)
	rm -rf xlnx_auto_0_xdb/ _ngo/ _xmsgs/ xst/

=== lib/efm32/efm32tg/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
## Copyright (C) 2012 chrysn <chrysn@fsfe.org>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library. If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_efm32tg
FAMILY		= EFM32TG

PREFIX		?= arm-none-eabi
#PREFIX		?= arm-elf
CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g \
		  -Wall -Wextra -Wimplicit-function-declaration \
		  -Wredundant-decls -Wmissing-prototypes -Wstrict-prototypes \
		  -Wundef -Wshadow \
		  -I../../../include -fno-common \
		  -mcpu=cortex-m3 $(FP_FLAGS) -mthumb -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -D$(FAMILY)
# ARFLAGS	= rcsv
ARFLAGS		= rcs
OBJS		=

VPATH += ../:../../cm3

include ../../Makefile.include

=== lib/lpc43xx/m0/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
## Copyright (C) 2012 Michael Ossmann <mike@ossmann.com>
## Copyright (C) 2012/2013 Benjamin Vernoux <titanmkd@gmail.com>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_lpc43xx_m0

PREFIX		?= arm-none-eabi
#PREFIX		?= arm-elf
CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -O2 -g3 -Wall -Wextra -I../../../include -fno-common \
		  -mcpu=cortex-m0 -mthumb -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DLPC43XX -DLPC43XX_M0
# ARFLAGS	= rcsv
ARFLAGS		= rcs

# LPC43xx common files for M4 / M0
OBJ_LPC43XX     = gpio.o scu.o i2c.o ssp.o uart.o timer.o

#LPC43xx M0 specific file + Generic LPC43xx M4/M0 files
OBJS		= $(OBJ_LPC43XX)

VPATH += ../:../../cm3

include ../../Makefile.include

=== lib/stm32/f2/Makefile ===
##
## This file is part of the libopencm3 project.
##
## Copyright (C) 2009 Uwe Hermann <uwe@hermann-uwe.de>
##
## This library is free software: you can redistribute it and/or modify
## it under the terms of the GNU Lesser General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.
##
## This library is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU Lesser General Public License for more details.
##
## You should have received a copy of the GNU Lesser General Public License
## along with this library.  If not, see <http://www.gnu.org/licenses/>.
##

LIBNAME		= libopencm3_stm32f2

PREFIX		?= arm-none-eabi

CC		= $(PREFIX)-gcc
AR		= $(PREFIX)-ar
CFLAGS		= -Os -g \
		  -Wall -Wextra -Wimplicit-function-declaration \
		  -Wredundant-decls -Wmissing-prototypes -Wstrict-prototypes \
		  -Wundef -Wshadow \
		  -I../../../include -fno-common \
		  -mcpu=cortex-m3 -mthumb $(FP_FLAGS) -Wstrict-prototypes \
		  -ffunction-sections -fdata-sections -MD -DSTM32F2
# ARFLAGS	= rcsv
ARFLAGS		= rcs

OBJS		= gpio.o rcc.o

OBJS            += crc_common_all.o dac_common_all.o dma_common_f24.o \
                   gpio_common_all.o gpio_common_f0234.o i2c_common_all.o \
                   iwdg_common_all.o rtc_common_l1f024.o spi_common_all.o \
                   spi_common_f124.o timer_common_all.o timer_common_f234.o \
		   timer_common_f24.o usart_common_all.o usart_common_f124.o \
		   flash_common_f234.o flash_common_f24.o hash_common_f24.o \
		   crypto_common_f24.o exti_common_all.o

VPATH += ../../usb:../:../../cm3:../common

include ../../Makefile.include

=== debian/changelog ===
hackrf (2023.01.1-9build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:42:50 +0200

hackrf (2023.01.1-9) unstable; urgency=medium

  * remove obsolete libusb-freebsd-hurd patch

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 21:06:25 -0500

hackrf (2023.01.1-8) unstable; urgency=medium

  * simplify usb build-depends

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 15 Dec 2023 20:06:40 -0500

hackrf (2023.01.1-7) unstable; urgency=medium

  * upload to unstable (Closes: #1057190)

 -- A. Maitland Bottoms <bottoms@debian.org>  Tue, 05 Dec 2023 20:45:21 -0500

hackrf (2023.01.1-6) experimental; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).

  [ A. Maitland Bottoms ]
  * update to v2023.01.1-18-gf5dd48a5
    Call fftw_execute once prior to starting IQ streaming
    Add options to use/save to an FFTW wisdom file and specify plan
    Fix bug where using -P would also enable one-shot mode
  * upload to experimental for more /lib to /usr/lib testing

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 02 Dec 2023 10:15:20 -0500

hackrf (2023.01.1-5) unstable; urgency=medium

  * revert to 2023.01.1-2 pending correction of udev /lib to /usr/lib handling
  * Handle underscore.js links with new sphinx

 -- A. Maitland Bottoms <bottoms@debian.org>  Fri, 01 Dec 2023 06:31:07 -0500

hackrf (2023.01.1-4) unstable; urgency=medium

  * override_dh_installudev in debian/rules (Closes: #1056927)

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 30 Nov 2023 17:19:05 -0500

hackrf (2023.01.1-3) unstable; urgency=medium

  * update to v2023.01.1-18-gf5dd48a5
    Call fftw_execute once prior to starting IQ streaming
    Add options to use/save to an FFTW wisdom file and specify plan
    Fix bug where using -P would also enable one-shot mode
  * Handle underscore.js links with new sphinx (Closes: #1056926)
  * MMove files into /usr (incl. DEP17 P7 mitigation) (Closes: #1056927)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sun, 26 Nov 2023 20:00:39 -0500

hackrf (2023.01.1-2.1) UNRELEASED; urgency=medium

  * Non-maintainer upload.
  * Move udev files from /lib to /usr/lib, including protective diversion
    against Multi-Arch: same file loss scenario (DEP17 P7 M10).

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 26 Nov 2023 20:37:03 +0100
 

hackrf (2023.01.1-2) unstable; urgency=medium

  * update to v2023.01.1-15-g1fd67f66 (Closes: #1036862)
  * new documentation build (Closes: #1042596)
  * omit firmware build (Closes: #1052857)

 -- A. Maitland Bottoms <bottoms@debian.org>  Sat, 14 Oct 2023 20:26:21 -0400

hackrf (2023.01.1-1) unstable; urgency=medium

  * New upstream release.

 -- A. Maitland Bottoms <bottoms@debian.org>  Thu, 13 Jul 2023 22:33:20 -0400

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,21 @@
 Source: hackrf
 Section: libs
 Priority: optional
-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A. Maitland Bottoms <bottoms@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 13),
                libfftw3-dev,
-               libusb-1.0-0-dev [linux-any],
-               libusb-dev [hurd-i386],
-               libusb2-dev [kfreebsd-any],
+               libusb-1.0-0-dev,
                pkg-config
 Build-Depends-Indep: dfu-util,
-		     latexmk,
+                     latexmk,
                      python3-sphinx,
                      python3-sphinx-rtd-theme,
-		     python3-yaml,
+                     python3-yaml,
                      tex-gyre,
-                     texlive-latex-extra,
-		     gcc-arm-none-eabi,
-                     libnewlib-arm-none-eabi,
-                     libstdc++-arm-none-eabi-newlib
-Standards-Version: 4.6.1
+                     texlive-latex-extra
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://greatscottgadgets.com/hackrf/
 Vcs-Browser: https://salsa.debian.org/bottoms/pkg-hackrf
@@ -85,21 +81,21 @@
   * hackrf_sweep: control frequency sweep of hackrf
   * hackrf_transfer: file based transmit and receive sdr
 
-Package: hackrf-firmware
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}
-Recommends: hackrf
-Suggests: dfu-util
-Description: Firmware for HackRF devices
- The HackRF hardware needs some firmware to run. The firmware is built with
- arm-none-eabi-gcc. This package contains a number of firmware images that
- may be programmed into the HackRF hardware using the 'hackrf_spiflash -w'
- command or dfu-util.
- .
- The following hardware is supported:
-  * hackrf_jawbreaker
-  * hackrf_one
-  * hackrf_rad1o
- .
- The firmware images are installed in /usr/share/hackrf/firmware/
+#Package: hackrf-firmware
+#Architecture: all
+#Multi-Arch: foreign
+#Depends: ${misc:Depends}
+#Recommends: hackrf
+#Suggests: dfu-util
+#Description: Firmware for HackRF devices
+# The HackRF hardware needs some firmware to run. The firmware is built with
+# arm-none-eabi-gcc. This package contains a number of firmware images that
+# may be programmed into the HackRF hardware using the 'hackrf_spiflash -w'
+# command or dfu-util.
+# .
+# The following hardware is supported:
+#  * hackrf_jawbreaker
+#  * hackrf_one
+#  * hackrf_rad1o
+# .
+# The firmware images are installed in /usr/share/hackrf/firmware/

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_HOST_MULTIARCH

%:
	dh $@ --sourcedirectory=host --builddirectory=build

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=host --builddirectory=build -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
	- cp -p build/libhackrf/53-hackrf.rules debian/libhackrf0.udev

override_dh_auto_build-indep: build-arch
	cd docs && make html
	cd docs && make latex
	cd docs && make latexpdf
	cd docs/build/html/_static && rm jquery.js
	cd docs/build/html/_static && ln -s /usr/share/javascript/jquery/jquery.js jquery.js
	cd docs/build/html/_static && rm _sphinx_javascript_frameworks_compat.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/_sphinx_javascript_frameworks_compat.js _sphinx_javascript_frameworks_compat.js
	cd docs/build/html/_static && rm doctools.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/doctools.js doctools.js
	cd docs/build/html/_static && rm language_data.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/language_data.js_t language_data.js
	cd docs/build/html/_static && rm searchtools.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/searchtools.js searchtools.js
	cd docs/build/html/_static && rm sphinx_highlight.js
	cd docs/build/html/_static && ln -s /usr/share/sphinx/themes/basic/static/sphinx_highlight.js sphinx_highlight.js
	rm -rf docs/build/html/_static/fonts
#	cp -p -r firmware-libopencm3/* firmware/libopencm3/
#	cd firmware && CFLAGS=-Wall CXXFLAGS=-Wall cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=HACKRF_ONE -B build_hackrf
#	cd firmware && cmake --build build_hackrf
#	cd firmware && CFLAGS=-Wall CXXFLAGS=-Wall cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=JAWBREAKER -B build_jawbreaker
#	cd firmware && cmake --build build_jawbreaker
#	cd firmware && CFLAGS=-Wall CXXFLAGS=-Wall cmake -DCMAKE_VERBOSE_MAKEFILE=ON -DBOARD=RAD1O -B build_rad1o
#	cd firmware && cmake --build build_rad1o
#	cp -p firmware/build_jawbreaker/hackrf_usb/hackrf_usb.bin firmware/hackrf_jawbreaker_usb.bin
#	cp -p firmware/build_hackrf/hackrf_usb/hackrf_usb.bin firmware/hackrf_one_usb.bin
#	cp -p firmware/build_rad1o/hackrf_usb/hackrf_usb.bin firmware/hackrf_rad1o_usb.bin
#	chmod -x firmware/hackrf_jawbreaker_usb.bin
#	chmod -x firmware/hackrf_one_usb.bin
#	chmod -x firmware/hackrf_rad1o_usb.bin
#	cp -p firmware/build_jawbreaker/hackrf_usb/hackrf_usb.dfu firmware/hackrf_jawbreaker_usb.dfu
#	cp -p firmware/build_hackrf/hackrf_usb/hackrf_usb.dfu firmware/hackrf_one_usb.dfu
#	cp -p firmware/build_rad1o/hackrf_usb/hackrf_usb.dfu firmware/hackrf_rad1o_usb.dfu

override_dh_installdocs-indep:
	dh_installdocs --indep

override_dh_installudev:
	dh_installudev
	# This should be harmless for indep builds or after dh_installudev changes the install path.
	set -e; if test -d debian/libhackrf0/lib/udev/rules.d; then mv debian/libhackrf0/lib/udev debian/libhackrf0/usr/lib; fi
	set -e; if test -d debian/libhackrf0/lib; then rmdir debian/libhackrf0/lib; fi
